summaryrefslogtreecommitdiff
path: root/dev-util/git/files
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/git/files')
-rw-r--r--dev-util/git/files/50git-gentoo.el13
-rw-r--r--dev-util/git/files/git-daemon.confd19
-rw-r--r--dev-util/git/files/git-daemon.initd30
-rw-r--r--dev-util/git/files/git-daemon.xinetd13
4 files changed, 75 insertions, 0 deletions
diff --git a/dev-util/git/files/50git-gentoo.el b/dev-util/git/files/50git-gentoo.el
new file mode 100644
index 0000000..42edd77
--- /dev/null
+++ b/dev-util/git/files/50git-gentoo.el
@@ -0,0 +1,13 @@
+
+;;; dev-util/git site-lisp configuration
+
+(add-to-list 'load-path "@SITELISP@")
+(autoload 'git-status "git" "Entry point into git-status mode." t)
+;;(autoload 'git-blame-mode "git-blame"
+;; "Minor mode for incremental blame for Git." t)
+
+;; GNU Emacs >=22.2 already includes vc-git.el.
+;; Enable the following only if Emacs has no GIT support.
+(unless (fboundp 'vc-git-registered)
+ (add-to-list 'load-path "@SITELISP@/compat")
+ (add-to-list 'vc-handled-backends 'GIT))
diff --git a/dev-util/git/files/git-daemon.confd b/dev-util/git/files/git-daemon.confd
new file mode 100644
index 0000000..75b4216
--- /dev/null
+++ b/dev-util/git/files/git-daemon.confd
@@ -0,0 +1,19 @@
+# conf.d file for git-daemon
+#
+# Please check man 1 git-daemon for more information about the options
+# git-daemon accepts. You MUST edit this to include your repositories you wish
+# to serve.
+#
+# Some of the meaningful options are:
+# --syslog --- Enables syslog logging
+# --verbose --- Enables verbose logging
+# --export-all --- Exports all repositories
+# --port=XXXX --- Starts in port XXXX instead of 9418
+#
+GITDAEMON_OPTS="--syslog /var/git"
+
+# To run an anonymous git safely, the following user should be able to only
+# read your Git repositories. It should not able able to write to anywhere on
+# your system, esp. not the repositories.
+GIT_USER="nobody"
+GIT_GROUP="nobody"
diff --git a/dev-util/git/files/git-daemon.initd b/dev-util/git/files/git-daemon.initd
new file mode 100644
index 0000000..726fca5
--- /dev/null
+++ b/dev-util/git/files/git-daemon.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-util/git/files/git-daemon.initd,v 1.6 2008/11/27 20:33:34 robbat2 Exp $
+
+PIDFILE=/var/run/git-daemon.pid
+
+depend() {
+ need net
+ use logger
+}
+
+start() {
+ [ -e /lib/librc.so ] || BL1_COMPAT="--name git-daemon"
+ ebegin "Starting git-daemon"
+ start-stop-daemon --start --quiet --background \
+ --pidfile ${PIDFILE} ${BL1_COMPAT} \
+ --exec /usr/bin/git -- daemon \
+ --pid-file=${PIDFILE} \
+ --user=${GIT_USER} --group=${GIT_GROUP} \
+ ${GITDAEMON_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping git-daemon"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${PIDFILE}
+ eend $?
+}
diff --git a/dev-util/git/files/git-daemon.xinetd b/dev-util/git/files/git-daemon.xinetd
new file mode 100644
index 0000000..02c938d
--- /dev/null
+++ b/dev-util/git/files/git-daemon.xinetd
@@ -0,0 +1,13 @@
+service git-daemon
+{
+ disable = yes
+ socket_type = stream
+ wait = no
+ user = nobody
+ type = UNLISTED
+ protocol = tcp
+ log_on_failure += USERID
+ port = 9418
+ server = /usr/bin/git
+ server_args = daemon --inetd --syslog --export-all --base-path=/var/git
+}